/*
**  $Header: /u/spert/src/fltvec/sparc/RCS/misc.S,v 1.4 1996/01/24 01:18:10 davidj Exp $
**
** A few SPARC odds and ends
*/

	.text

/*
** Here we define the symbols cg89_used and cg92_used (and also __cg89_used
** and __cg92_used - their SunOS 5 equivalents).  These are referenced
** by routines compiled with the Sun compilers -cg89 or -cg92 switches.
** When linked with the Sun compilers, the symbols are defined in special
** versions of crt0.o.  However, for libraries compiled with the Sun
** compilers and linked with gcc, this will cause a problem.  Hence they are
** defined here, which has the advantage that there will not be link time
** errors, but the disadvantage that we have no checks that the run time
** hardware is compatible with the compile time ISA (note, though, that
** recent versions of SunOS emulate the later instructions if necessary
** anyway).
*/

#ifdef DEFN_sparc_cg92_used
	.global	cg92_used
	.global	__cg92_used
	.align	8
cg92_used:
__cg92_used:
	.ascii	"cg92_used hack\0"
#endif

#ifdef DEFN_sparc_cg89_used
	.global	cg89_used
	.global __cg89_used
	.align	8
cg89_used:
__cg89_used:
	.ascii	"cg89_used hack\0"
#endif

