// $Header: /n/basmati/da/bedk/speech/src/drspeech_featools/RCS/OnlfeatureInput.h,v 1.1 1997/07/29 17:54:57 bedk Exp $
//
// $Log: OnlfeatureInput.h,v $
// Revision 1.1  1997/07/29 17:54:57  bedk
// Initial revision
//
//

#ifndef OnlfeatureInput_h_INCLUDED
#define OnlfeatureInput_h_INCLUDED

#include <stdio.h>

#include "Blocker.h"
#include "Matrix.h"

class OnlfeatureInput : public Blocker
{
private:
  const unsigned int IOBlocking; // max signal length we might be sent

  const unsigned int nchan;      // number of channels of features

  FILE *file;
				
  Matrix* result;

  float* buf;

  bool have_stdin;

  char lookahead;

  bool lookahead_full;

public:
  OnlfeatureInput(const int a_IOBlocking,
                  const int a_nchan,
                  const char* const fileName);

  ~OnlfeatureInput();

  const CMatrix read(bool& EOUtt, bool& EOProc, bool& EOFile);
};

#endif // OnlfeatureInput_h_INCLUDED
