/*
** $Header: /u/spert/src/fltvec/wrp/vecred.c,v 1.1 1996/03/22 03:16:26 davidj Exp $
**
** Reduction routines - using other existing routines
*/

#include <fltv-config.h>
#include <stddef.h>
#include <fltv-defs.h>
#include <fltv-scansrc.h>

/****************************************************************/
/* mulsum_vfvf_f - dot product                                  */
/****************************************************************/

/* TODO - this should really be coded up directly, but not worth it until
   we have soft floating point - DJ - Thu Jun 29 13:26:09 1995 */

#ifdef DECL_wrp_mulsum_vfvf_f
float wrp_mulsum_vfvf_f(size_t len, const float* a, const float* b);
#endif

#ifdef DEFN_wrp_mulsum_vfvf_f
float
wrp_mulsum_vfvf_f(size_t len, const float* a, const float* b)
{
    float* tmp;			/* Temporary product */
    float res;			/* Final result */

    tmp = falloc_vf(len);
    mul_vfvf_vf(len, a, b, tmp);
    res = sum_vf_f(len, tmp);
    ffree_vf(tmp);

    return(res);
}
#endif
